@echo off
echo This batch file will produce some warnings that are part of the process.
echo Ignore all except compile errors.
echo .

rem  *  This is a sample DOS batch file that compiles the CustomCode examples
rem  *  and packages the class files, together with any resources (such as images)
rem  *  into a JAR file called "customcode.jar"
rem  *
rem  *  The batch file is very simple and can easily be converted for use on Unix
rem  *
rem  *  Set the following environment variables before using this batch file:
rem  *
rem  *     IACLASSES.ZIP_PATH      : Path & name to InstallAnywhere's IAClasses.zip
rem  *     JAVAC_PATH              : Path & name to your "javac.exe"

rem  *  change the following lines to match your system
set IACLASSES.ZIP_PATH=\Program Files\InstallAnywhere 3.0 Enterprise\IAClasses.zip
set JAVAC_PATH=\java\jdk118\bin\javac
set JAR_PATH=\java\jdk118\bin\jar

rem  * compile the classes from multiple directories
set CPHOLD=%CLASSPATH%
set CLASSPATH=%IACLASSES.ZIP_PATH%;.;%CLASSPATH%

rem  * make a build directory
mkdir buildtemp

%JAVAC_PATH% -nowarn -d buildtemp com\zerog\ia\customcode\util\fileutils\*.java

set CLASSPATH=%CPHOLD%

rem  * build the final JAR file with the class files, the dlls, and the images
cd buildtemp
%JAR_PATH% cfM ..\customcode.jar *
cd ..